Share via


Location Based Capability Set - List

Get capabilities at specified location in a given subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DBforMySQL/locations/{locationName}/capabilitySets?api-version=2023-12-30

URI Parameters

Name In Required Type Description
locationName
path True

string

minLength: 1
pattern: ^[ \w]+$

The name of the location.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

CapabilitySetsList

OK

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

CapabilitySetsResult

Sample request

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforMySQL/locations/WestUS/capabilitySets?api-version=2023-12-30

Sample response

{
  "value": [
    {
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforMySQL/locations/WestUS/capabilitySets/default",
      "name": "default",
      "type": "Microsoft.DBforMySQL/capacitysets",
      "properties": {
        "supportedGeoBackupRegions": [
          "southcentralus"
        ],
        "supportedFlexibleServerEditions": [
          {
            "name": "Burstable",
            "defaultSku": "Standard_B1s",
            "defaultStorageSize": 20480,
            "supportedStorageEditions": [
              {
                "name": "Premium",
                "minStorageSize": 20480,
                "maxStorageSize": 16777216,
                "minBackupRetentionDays": 7,
                "maxBackupRetentionDays": 35,
                "minBackupIntervalHours": 1,
                "maxBackupIntervalHours": 24
              }
            ],
            "supportedSkus": [
              {
                "name": "Standard_B1s",
                "vCores": 1,
                "supportedIops": 400,
                "supportedMemoryPerVCoreMB": 1024,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              },
              {
                "name": "Standard_B1ms",
                "vCores": 1,
                "supportedIops": 640,
                "supportedMemoryPerVCoreMB": 2048,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              },
              {
                "name": "Standard_B2s",
                "vCores": 2,
                "supportedIops": 1280,
                "supportedMemoryPerVCoreMB": 2048,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              },
              {
                "name": "Standard_B2ms",
                "vCores": 2,
                "supportedIops": 1700,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              },
              {
                "name": "Standard_B4ms",
                "vCores": 4,
                "supportedIops": 2400,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              },
              {
                "name": "Standard_B8ms",
                "vCores": 8,
                "supportedIops": 3100,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              },
              {
                "name": "Standard_B12ms",
                "vCores": 12,
                "supportedIops": 3800,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              },
              {
                "name": "Standard_B16ms",
                "vCores": 16,
                "supportedIops": 4300,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              },
              {
                "name": "Standard_B20ms",
                "vCores": 20,
                "supportedIops": 5000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": []
              }
            ]
          },
          {
            "name": "GeneralPurpose",
            "defaultSku": "Standard_D2ds_v4",
            "defaultStorageSize": 65536,
            "supportedStorageEditions": [
              {
                "name": "Premium",
                "minStorageSize": 20480,
                "maxStorageSize": 16777216,
                "minBackupRetentionDays": 7,
                "maxBackupRetentionDays": 35,
                "minBackupIntervalHours": 1,
                "maxBackupIntervalHours": 24
              }
            ],
            "supportedSkus": [
              {
                "name": "Standard_D2ds_v4",
                "vCores": 2,
                "supportedIops": 3200,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D4ds_v4",
                "vCores": 4,
                "supportedIops": 6400,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D8ds_v4",
                "vCores": 8,
                "supportedIops": 12800,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D16ds_v4",
                "vCores": 16,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D32ds_v4",
                "vCores": 32,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D48ds_v4",
                "vCores": 48,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D64ds_v4",
                "vCores": 64,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D2ds_v5",
                "vCores": 2,
                "supportedIops": 3200,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D4ds_v5",
                "vCores": 4,
                "supportedIops": 6400,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D8ds_v5",
                "vCores": 8,
                "supportedIops": 12800,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D16ds_v5",
                "vCores": 16,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D32ds_v5",
                "vCores": 32,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D48ds_v5",
                "vCores": 48,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D64ds_v5",
                "vCores": 64,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D96ds_v5",
                "vCores": 64,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D2ads_v5",
                "vCores": 2,
                "supportedIops": 3200,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D4ads_v5",
                "vCores": 4,
                "supportedIops": 6400,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D8ads_v5",
                "vCores": 8,
                "supportedIops": 12800,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D16ads_v5",
                "vCores": 16,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D32ads_v5",
                "vCores": 32,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D48ads_v5",
                "vCores": 48,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D64ads_v5",
                "vCores": 64,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D96ads_v5",
                "vCores": 96,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D2s_v3",
                "vCores": 2,
                "supportedIops": 3200,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D4s_v3",
                "vCores": 4,
                "supportedIops": 6400,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D8s_v3",
                "vCores": 8,
                "supportedIops": 12800,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D16s_v3",
                "vCores": 16,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D32s_v3",
                "vCores": 32,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D48s_v3",
                "vCores": 48,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_D64s_v3",
                "vCores": 64,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 4096,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              }
            ]
          },
          {
            "name": "MemoryOptimized",
            "defaultSku": "Standard_E2ds_v4",
            "defaultStorageSize": 131072,
            "supportedStorageEditions": [
              {
                "name": "Premium",
                "minStorageSize": 20480,
                "maxStorageSize": 16777216,
                "minBackupRetentionDays": 7,
                "maxBackupRetentionDays": 35,
                "minBackupIntervalHours": 1,
                "maxBackupIntervalHours": 24
              }
            ],
            "supportedSkus": [
              {
                "name": "Standard_E2ds_v4",
                "vCores": 2,
                "supportedIops": 5000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E4ds_v4",
                "vCores": 4,
                "supportedIops": 10000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E8ds_v4",
                "vCores": 8,
                "supportedIops": 18000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E16ds_v4",
                "vCores": 16,
                "supportedIops": 28000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E32ds_v4",
                "vCores": 32,
                "supportedIops": 38000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E48ds_v4",
                "vCores": 48,
                "supportedIops": 48000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E64ds_v4",
                "vCores": 64,
                "supportedIops": 64000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E80ids_v4",
                "vCores": 80,
                "supportedIops": 72000,
                "supportedMemoryPerVCoreMB": 6451,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E2ds_v5",
                "vCores": 2,
                "supportedIops": 5000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E4ds_v5",
                "vCores": 4,
                "supportedIops": 10000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E8ds_v5",
                "vCores": 8,
                "supportedIops": 18000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E16ds_v5",
                "vCores": 16,
                "supportedIops": 28000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E32ds_v5",
                "vCores": 32,
                "supportedIops": 38000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E48ds_v5",
                "vCores": 48,
                "supportedIops": 48000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E64ds_v5",
                "vCores": 64,
                "supportedIops": 64000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E96ds_v5",
                "vCores": 96,
                "supportedIops": 80000,
                "supportedMemoryPerVCoreMB": 7168,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E2ads_v5",
                "vCores": 2,
                "supportedIops": 5000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E4ads_v5",
                "vCores": 4,
                "supportedIops": 10000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E8ads_v5",
                "vCores": 8,
                "supportedIops": 18000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E16ads_v5",
                "vCores": 16,
                "supportedIops": 28000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E32ads_v5",
                "vCores": 32,
                "supportedIops": 38000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E48ads_v5",
                "vCores": 48,
                "supportedIops": 48000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E64ads_v5",
                "vCores": 64,
                "supportedIops": 64000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E96ads_v5",
                "vCores": 96,
                "supportedIops": 80000,
                "supportedMemoryPerVCoreMB": 7168,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E2s_v3",
                "vCores": 2,
                "supportedIops": 5000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E4s_v3",
                "vCores": 4,
                "supportedIops": 10000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E8s_v3",
                "vCores": 8,
                "supportedIops": 18000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E16s_v3",
                "vCores": 16,
                "supportedIops": 28000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E32s_v3",
                "vCores": 32,
                "supportedIops": 38000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E48s_v3",
                "vCores": 48,
                "supportedIops": 20000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              },
              {
                "name": "Standard_E64s_v3",
                "vCores": 64,
                "supportedIops": 64000,
                "supportedMemoryPerVCoreMB": 8192,
                "supportedZones": [
                  "1",
                  "2",
                  "3"
                ],
                "supportedHAMode": [
                  "SameZone",
                  "ZoneRedundant"
                ]
              }
            ]
          }
        ],
        "supportedServerVersions": [
          {
            "name": "5.7"
          },
          {
            "name": "8.0.21"
          }
        ]
      }
    }
  ]
}

Definitions

Name Description
Capability

Represents a location capability set.

CapabilitySetsList

location capability set

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ServerEditionCapabilityV2

Server edition capabilities.

ServerVersionCapabilityV2

Server version capabilities.

SkuCapabilityV2

Sku capability

StorageEditionCapability

storage edition capability

systemData

Metadata pertaining to creation and last modification of the resource.

Capability

Represents a location capability set.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.supportedFlexibleServerEditions

ServerEditionCapabilityV2[]

A list of supported flexible server editions.

properties.supportedGeoBackupRegions

string[]

supported geo backup regions

properties.supportedServerVersions

ServerVersionCapabilityV2[]

A list of supported server versions.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

CapabilitySetsList

location capability set

Name Type Description
nextLink

string

Link to retrieve next page of results.

value

Capability[]

A list of supported capability sets.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ServerEditionCapabilityV2

Server edition capabilities.

Name Type Description
defaultSku

string

Default Sku name

defaultStorageSize

integer (int32)

Default storage size

name

string

Server edition name

supportedSkus

SkuCapabilityV2[]

A list of supported Skus

supportedStorageEditions

StorageEditionCapability[]

A list of supported storage editions

ServerVersionCapabilityV2

Server version capabilities.

Name Type Description
name

string

server version

SkuCapabilityV2

Sku capability

Name Type Description
name

string

vCore name

supportedHAMode

string[]

Supported high availability mode

supportedIops

integer (int64)

supported IOPS

supportedMemoryPerVCoreMB

integer (int64)

supported memory per vCore in MB

supportedZones

string[]

Supported zones

vCores

integer (int64)

supported vCores

StorageEditionCapability

storage edition capability

Name Type Description
maxBackupIntervalHours

integer (int64)

Maximum backup interval hours

maxBackupRetentionDays

integer (int64)

Maximum backup retention days

maxStorageSize

integer (int64)

The maximum supported storage size.

minBackupIntervalHours

integer (int64)

Minimal backup interval hours

minBackupRetentionDays

integer (int64)

Minimal backup retention days

minStorageSize

integer (int64)

The minimal supported storage size.

name

string

storage edition name

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.